function data=readAMTIFile(forceFile)
% Read in force binary file, output from John Mower's AMTI Gen 5 interface
% software
fid=fopen(forceFile);

if fid<3
    error('Invalid file path')
end
buffer=fread(fid,Inf,'single');
data=reshape(buffer,[8,length(buffer)/8])';
fclose(fid);

end