% Stuff for prepping data, NOT to be included in final upload

%% Remove NTK files to reduce data size

% can also remove vector.mat, pointData, all tare files
% Once we have code to re-calculate
cd('Data')
dirs = {'P_1','P_2','P_3'};

for j = 1:3
    cd(dirs{j})
    
    if ~isempty(dir('Vector.mat'))
        delete('Vector.mat')
    end
    
    if ~isempty(dir('mean_Uinf.mat'))
        delete('mean_Uinf.mat')
    end
    
    if ~isempty(dir('vort_*'))
        delete('vort_*')
    end
    
    
    if ~isempty(dir('phaseAvData.mat'))
        delete('phaseAvData.mat')
    end
    
    if ~isempty(dir('tareFile.mat'))
        delete('tareFile.mat')
    end
    
    folders = dir('tr_*');
    for i = 1:length(folders)
        
        cd(folders(i).name)
        
        if ~isempty(dir('vectrinoData*.ntk'));
            delete('vectrinoData*.ntk')
        end
        
        if ~isempty(dir('forceTare*'))
            delete('forceTare*')
        end
        
        if ~isempty(dir('HWconfig.mat'))
            delete('HWconfig.mat')
        end
        
        if ~isempty(dir('posTare*.mat'))
            delete('posTare*.mat')
        end
        
        if ~isempty(dir('pointData.mat'))
            delete('pointData.mat')
        end
        
        if ~isempty(dir('tareFile.mat'))
            delete('tareFile.mat')
        end
        
        
        cd('../')
    end
    
    cd('../')
end